# MRroboBayes

This repository contains example code for the paper "Multiresolution Broad Area Search:
Monitoring Spatial Characteristics of Gapless Remote Sensing Data". Further information about the robust online Bayesian (roboBayes) monitoring algorithm is available at https://arxiv.org/abs/2112.12899. 

Code Files:
sim_example.R # Simulates change areas over time. Analyses using the pixel-wise roboBayes and MR roboBayes are run and several options for combining wavelet probabilities to create real space change are explored.
functions/funs_simple.R # supporting functions
scripts/get_sim_priors.R # script to generate prior values (used to produce data files for priors)

Data Files:
interim_files/priors_sim.RData              # file with wavelet priors for simulation, based on data
interim_files/priors_classic_sim.RData      # file with real space priors for simulation, based on data

Supplemental Material for Manuscript: MR_roboBayes_supplemental.pdf
A. Formulas for construction of 2D Haar wavelets and a calculation for induced prior change probability
B. Sensitivity results
